> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-context-field-for-project/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # [BETA] Gets context field GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/context/{contextField} **[BETA]** This API is in beta state, which means it may change or be removed in the future. Returns specific [context field](https://docs.getunleash.io/concepts/unleash-context) identified by the name in the path Reference: https://docs.getunleash.io/api/get-context-field-for-project ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `projectId` (string, required) - `contextField` (string, required) ## Response ### 200 contextFieldSchema - `name` (string, required) — The name of the context field - `description` (string, optional, nullable) — The description of the context field. - `stickiness` (boolean, optional) — Does this context field support being used for [stickiness](https://docs.getunleash.io/concepts/stickiness) calculations - `sortOrder` (integer, optional) — Used when sorting a list of context fields. Is also used as a tiebreaker if a list of context fields is sorted alphabetically. - `createdAt` (string, optional, nullable) — When this context field was created - `usedInFeatures` (integer, optional, nullable) — Number of projects where this context field is used in - `usedInProjects` (integer, optional, nullable) — Number of projects where this context field is used in - `legalValues` (list of legalValueSchema, optional) — Allowed values for this context field schema. Can be used to narrow down accepted input - `project` (string, optional) — The project this context field belongs to (if it is project-specific) ## Types ### legalValueSchema Describes a legal value. Typically used to limit possible values for contextFields or strategy properties - `value` (string, required) — The valid value - `description` (string, optional) — Describes this specific legal value ## Examples **Response** ```json { "name": "userId", "description": "Used to uniquely identify users", "stickiness": true, "sortOrder": 900, "createdAt": "2023-06-29T10:19:00.000Z", "usedInFeatures": 3, "usedInProjects": 2, "legalValues": [ { "value": "#c154c1", "description": "Deep fuchsia" } ], "project": "my-project" } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```